//
//  LCShadowFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 27.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCBaseFilter.h"

@class LCGradient;

@interface LCGradientShadowFilter : LCBaseFilter
{
    float radius;
    float xOffset;
    float yOffset;
    float opacity;
    
    LCGradient *gradient;
    float direction;
}

@property (assign) float radius;
@property (assign) float xOffset;
@property (assign) float yOffset;
@property (assign) float opacity;

@property (retain) LCGradient *gradient;
@property (assign) float direction;

@end
