//
//  ANImageHelper+ShadedMaterial.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 10.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "ANImageHelper.h"
#import "ANBevelNormalInlineFunc.h"

@interface ANImageHelper (ShadedMaterial)

+ (void) applyShadedMaterialInContext:(CGContextRef)context 
                            withBytes:(unsigned char*)bytes 
                         andHeightmap:(float*)heightmap 
            withLargestHeightmapValue:(float)largestValue 
                              andMask:(CGImageRef)mask 
                       andShadedImage:(CGImageRef)shadedImage
                         andBevelType:(ANBevelType)type
                            andRadius:(float)radius
                      andSmoothFactor:(float)smoothFactor
             andFurtherRoundingFactor:(float)furtherRoundingFactor
                andDistributionFactor:(float)distributionFactor
                  andDistributionRect:(CGRect)distributionRect;


@end
